Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.functions
Class FuncSum

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.functions.Function
                  |
                  +--weblogic.apache.xpath.functions.FunctionOneArg
                        |
                        +--weblogic.apache.xpath.functions.FuncSum

public class FuncSum
extends FunctionOneArg

Execute the Sum() function.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`FuncSum()`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute the function.

Methods inherited from class weblogic.apache.xpath.functions.FunctionOneArg
`canTraverseOutsideSubtree, checkNumberArgs, fixupVariables, getArg0, setArg`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncSum

    public FuncSum()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute the function. The function must return a valid object.

  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class Function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference